package com.cf.imes.module.system.util.organ;

import com.cf.imes.module.system.constants.permission.InternalRoleConstants;

import java.util.Objects;

/**
 * 组织相关工具类
 *
 * @author Gqr
 * @since 2024/9/10 15:59
 */
public class OrganUtils {
    private OrganUtils() {
    }

    /**
     * 是否内置角色
     *
     * @param roleId
     * @return
     */
    public static boolean isOrgRole(Long roleId) {
        return Objects.equals(roleId, InternalRoleConstants.ORGAN_ADMIN_ROLE_ID) || Objects.equals(roleId, InternalRoleConstants.ORGAN_STAFF_ROLE_ID);
    }
}
